Skip to main content
POST
Create user

Body

application/json
username
string
required
id
string
realmName
string
default:native
write-only
password
string

Passwords must contain alpha+numeric chars and have a length of 8-20. Additional non-newline chars are allowed.

passwordHash
string
roleNames
string[]
write-only

Indicates which roles are dynamically applied to users in the realm.

timezone
string
Example:

"Pacific Time (US & Canada)"

permissions
object[]
realm
string
roles
string[]

One or more user roles. Use GET /roles to get the list of existing roles.

Response

Created

id
string
Example:

"fe0885f2-8885-4c46-a3ea-8e5d0041c293"

username
string
Example:

"admin"

realmName
string
Example:

"ldap-internal"

createdAt
string<date-time>
Example:

"2025-09-23T17:48:07Z"

updatedAt
string<date-time>
Example:

"2025-10-31T12:28:04Z"

roleNames
string[]

Indicates which roles are dynamically applied to users in the realm.

Example:
timezone
string
Example:

"Pacific Time (US & Canada)"

permissions
object[]